<?php

declare(strict_types=1);

namespace App\Framework\Attributes;

use App\Framework\Http\Method;
use Attribute;

#[Attribute(Attribute::TARGET_METHOD | Attribute::IS_REPEATABLE)]
final readonly class Route
{
    public function __construct(
        public string $path,
        public Method $method = Method::GET,
        public ?string $name = null,
    ) {
    }
}
